<?php /*
	############################################
	#  Mini Module citations pour phpboost V3  #
	############################################
	# Crer le :    31 mai 2011                #
	# Par :         SaTurNin                   #
	# Contact :     saturnin@chez-swan.net     #
	# Site :        http://Chez-swan.net/      #
	############################################
	#    Si vous faites des modifications      #
	#          merci de les partager           #
	############################################
*/

if (defined('PHPBOOST') !== true) { exit ; }
function citations_mini($position, $block) {
	global $CONFIG, $Sql, $Cache, $CONFIG_CITATIONS;
	$Cache->load('citations');

	$CONFIG_CITATIONS['sens'] = isset($CONFIG_CITATIONS['sens'])? $CONFIG_CITATIONS['sens'] :  'asc'; // option asc, desc, random
	$CONFIG_CITATIONS['select'] = isset($CONFIG_CITATIONS['select'])? $CONFIG_CITATIONS['select'] : 'id'; // option id, author
	$CONFIG_CITATIONS['affich'] = isset($CONFIG_CITATIONS['affich'])? $CONFIG_CITATIONS['affich'] : 'gd'; // option id, author
	$CONFIG_CITATIONS['nbrcit'] = isset($CONFIG_CITATIONS['nbrcit'])? $CONFIG_CITATIONS['nbrcit'] : 10 ; // text si > a max db tout (traiter en minimodule)
	$CONFIG_CITATIONS['titre'] = isset($CONFIG_CITATIONS['titre'])? $CONFIG_CITATIONS['titre'] : 'Citations';

//	$tpl = new Template('citations/citation_mini.tpl');
	if($block <= 6) {
		$tpl = new Template('citations/citation_mini_h.tpl');	// horizontal menu !
	//	$min_aff = 5 ;
	}
	if($block >= 7) {
		$tpl = new Template('citations/citation_mini.tpl');	// vertical menu!
	//	$min_aff = 10 ;
	}

	import('core/menu_service');
	MenuService::assign_positions_conditions($tpl, $block);

	$compt = $Sql->query("SELECT COUNT(*) FROM " . PREFIX . "citations ", __LINE__, __FILE__); // retourne '0' si vide.

	//> Si on a plus de db que ce se dans la config, si non on met le max db
	$limit = $CONFIG_CITATIONS['nbrcit'] ; 

	$order = ($CONFIG_CITATIONS['select'] == 'id')? 'id' : 'author' ;

	if ($CONFIG_CITATIONS['sens'] == 'asc') {
		$trie = $order . ' ASC' ;
	}elseif($CONFIG_CITATIONS['sens'] == 'desc') {
		$trie = $order . ' DESC';
	}elseif($CONFIG_CITATIONS['sens'] == 'rand') {
		$trie = 'RAND()';
	}else{
		$trie = 'ASC';
	}

	$resulth = $Sql->query_while("SELECT *  
    		FROM " . PREFIX . "citations
    		ORDER BY " . $trie . "
    		" . $Sql->limit(0, $limit), __LINE__, __FILE__);
	while ($rowh = $Sql->fetch_assoc($resulth)) {
		$tpl->assign_block_vars('liste', array(
			'CITATIONS' => isset($rowh['citations'])? addslashes(unparse(stripslashes($rowh['citations']))) : '' ,
			'AUTHOR' => isset($rowh['author'])? addslashes(unparse(stripslashes($rowh['author']))) : '' ,
		));
	}
	$Sql->query_close($resulth);

$tpl->assign_vars(array(
	'TITRE' => $CONFIG_CITATIONS['titre'],
	'AFFICH' => $CONFIG_CITATIONS['affich'],
	
	'C_VERTICAL'=> ($CONFIG_CITATIONS['affich'] == 'dg')? TRUE : FALSE , 
	'C_HORIZONTAL'=> ($CONFIG_CITATIONS['affich'] == 'gd')? TRUE : FALSE ,
	'C_FADE' => ($CONFIG_CITATIONS['affich'] == 'hb')? TRUE : FALSE ,
	'C_FIXE' => ($CONFIG_CITATIONS['affich'] == 'bh')? TRUE : FALSE ,
));

return $tpl->parse(TEMPLATE_STRING_MODE); 
} //fonction
?>
