<?php /*
###########################################
#                                         #
#         Admin config citations          #
#                                         #
###########################################
#                                         #
#   Créer le 	: 25/05/2011              #
#   Par 	: Saturnin                #
#   Contact	: saturnin@chez-san.net   #
#   Site web 	: http://chez-swan.net    #
#                                         #
###########################################
*/

require_once('../admin/admin_begin.php');
define('TITLE', 'administration - Config Citations');
require_once('../admin/admin_header.php');
$Cache->load('citations'); // on charge le cache, les variables serons mise a jour.
$CONFIG_CITATIONS['sens']	= isset($CONFIG_CITATIONS['sens'])? $CONFIG_CITATIONS['sens'] :  'asc'; // option asc, desc, random
$CONFIG_CITATIONS['select']	= isset($CONFIG_CITATIONS['select'])? $CONFIG_CITATIONS['select'] : 'id'; // option id, author

$CONFIG_CITATIONS['affich']	= isset($CONFIG_CITATIONS['affich'])? $CONFIG_CITATIONS['affich'] : 'gd'; // option id, author
$CONFIG_CITATIONS['nbrcit']	= isset($CONFIG_CITATIONS['nbrcit'])? $CONFIG_CITATIONS['nbrcit'] : 10 ; // text si > a max db tout (traiter en minimodule)
$CONFIG_CITATIONS['titre']	= isset($CONFIG_CITATIONS['titre'])? $CONFIG_CITATIONS['titre'] : 'Citations';

if (!empty($_POST['valid'])){

	$CONFIG_CITATIONS['sens']	= retrieve(POST, 'sens', 'asc'); // option asc, desc, random
	$CONFIG_CITATIONS['select']	= retrieve(POST, 'select', 'id'); // option id, author

	$CONFIG_CITATIONS['affich']	= retrieve(POST, 'affich', 'gd'); // option gd, dg, hb, bh (sens de defilement des affichages)

	$CONFIG_CITATIONS['nbrcit']	= retrieve(POST, 'nbrcit', 10); // text si > a max db tout (traiter en minimodule)

	$CONFIG_CITATIONS['titre']	= retrieve(POST, 'titre', 'Citations', TSTRING_PARSE);

	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_CITATIONS)) . "' WHERE name = 'citations'", __LINE__, __FILE__);
			
//>	Régénération du cache du module ###### 
	$Cache->Generate_module_file('citations');
				
	redirect(HOST . SCRIPT);	

}else{  // Chargement du cache
	$Tpl = new Template('citations/admin_citations.tpl') ;

	$Tpl->assign_vars(array(
		'TITRE' => $CONFIG_CITATIONS['titre'],

		'NBRCIT' => $CONFIG_CITATIONS['nbrcit'],

		'AFFICH_GD' => ($CONFIG_CITATIONS['affich'] == 'dg')? 'selected="selected"' : '' ,
		'AFFICH_DG' => ($CONFIG_CITATIONS['affich'] == 'gd')? 'selected="selected"' : '' ,
		'AFFICH_HB' => ($CONFIG_CITATIONS['affich'] == 'hb')? 'selected="selected"' : '' ,
		'AFFICH_BH' => ($CONFIG_CITATIONS['affich'] == 'bh')? 'selected="selected"' : '' ,

		'SENS_ASC' => ($CONFIG_CITATIONS['sens'] == 'asc')? 'selected="selected"' : '' ,
		'SENS_DESC' => ($CONFIG_CITATIONS['sens'] == 'desc')? 'selected="selected"' : '' ,
		'SENS_RAND' => ($CONFIG_CITATIONS['sens'] == 'rand')? 'selected="selected"' : '' ,

		'SELECT_ID' => ($CONFIG_CITATIONS['select'] == 'id')? 'selected="selected"' : '', 
		'SELECT_AUTHOR' => ($CONFIG_CITATIONS['select'] == 'author')? 'selected="selected"' : '', 

		'L_UPDATE' => 'update',
		'L_RESET' => 'reset',
	));

	$Tpl->parse();
}
require_once('../admin/admin_footer.php');
?>

